<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="CommentList.aspx.vb" Inherits="Dingtai.Website.CommentList" %>
<%@ Register src="../../App_Data/Controls/PageControl.ascx" tagname="PageControl" tagprefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>鼎太播客 &gt; 后台管理 &gt; 评论管理列表</title>
</head>
<body onload="setTableBg();">
    <form id="form1" runat="server">
    <div id="body">
        <div id="title">                
            <h5>您现在的位置：<a href="#" target="_self">后台管理</a> &gt; 评论管理列表</h5>
             <p><asp:LinkButton ID="LBAll" runat="server">所有评论</asp:LinkButton> | <asp:LinkButton ID="LBNotHd" runat="server">普通评论</asp:LinkButton>| <asp:LinkButton ID="LBIsHd" runat="server">高清评论</asp:LinkButton>| <asp:LinkButton ID="LinkBtnPC" runat="server">PC</asp:LinkButton>| <asp:LinkButton ID="LinkBtnWap" runat="server">WAP</asp:LinkButton>| <asp:LinkButton ID="LinkBtnIphone" runat="server">Iphone</asp:LinkButton>| <asp:LinkButton ID="LinkBtnAndroid" runat="server">Android</asp:LinkButton> </p>
        </div>         
        <div id="box">
            <div id="an_box">
                <ul>                 
                    <li><a href ="#" onclick="SelectAll();"><div class="qx" alt="全选"  /></a> </li>
                    <li><a href ="#" onclick="Inverse();"><div class="fx" alt="反选"  /></a> </li>
                    <li><a href ="#" onclick="delComments();"><div class="dels" alt="批量删除"  /></a> </li>
                </ul>                
            </div>
            <div class="body_box" id="body_box">
                <asp:Repeater ID="Repeater1" runat="server">
                   <HeaderTemplate >
                        <table id="t" class="table_bg" onclick="clickto()" onmousemove="fmove()" onmouseout="fout()" >
                            <tr class="table_border">
                            <th>选择</th>
                            <th>评论来源</th>
                            <th>用户名称</th>                           
                            <th>内容</th>
                            <th>评论时间</th>                        
                            <th>操作</th>
                            </tr>
                   </HeaderTemplate>
                   <ItemTemplate>                                  
                            <tr class="table_border2">
                            <td align ="center"><input type="checkbox" name="checkboxid" id="checkboxid" value="<%#Eval("ID") %>" /></td>
                            <td align ="center" ><b style="color:Green"><%#getCommentType(Eval("CommentType"))%></b></td> 
                            <td align ="center"><%#Eval("UserName")%></td>          
                            <%--<td  style="width:350px;overflow:hidden; text-overflow:ellipsis; white-space:nowrap; "><%#Eval("Title")%></td>--%>
                            <td align ="center"><%#Server.UrlDecode(Eval("Context"))%></td>
                            <td align ="center" style ="width :200"><%#Eval("CreationDate")%></td>                        
                            <td align ="center">                                        
                                 <a href="#" onclick="delComment('<%#Eval("ID") %>');" ><img alt="删除" src="/Skins/default/images/box_an6.gif"/></a>
                                <asp:HyperLink ID="hlReView" NavigateUrl="#" runat="server"></asp:HyperLink>  
                            </td>
                            </tr>
                   </ItemTemplate>
                   <FooterTemplate>
                       </table>
                   </FooterTemplate>
               </asp:Repeater>
                <uc1:PageControl ID="Page2" runat="server" ShowFirstLast="true" ShowPrevNext="true" 
                FirstPageText="首 页" LastPageText="末 页" PrevPageText="上一页" NextPageText="下一页" AlwaysShow="true" 
                ShowCustomInfoSec="left" NumericButtonCount="5" PagingButtonSpacing="25px" 
                CustomInfoHTML="当前 %CurrentPageIndex% 页 共 %PageCount% 页" />
            </div> 
        </div>   
    </div>
    </form>
</body>


<script type = "text/javascript" language = "javascript">
    function delComment(id){

        if (id == "") {
            M1("无参数传递!");
            return;
        }
        
        if (C("确认删除此评论?") == false)
        {
            return;
        }
        var ret = CommentList.DelComment(id).value;
        if (ret == true)
        {
            M1("Success!");
            refreshPage(0);  
        }
    }
    function delComments(){
        var ids = "";
        
        for (var i=0;i<document.form1.checkboxid.length;i++) {
            var e=document.form1.checkboxid[i];
       
            if ( e.checked) {
                ids = ids + e.value + ","
            }
        }        
        if (ids == ""){
            M1("请选择需要删除的评论!");
            return;
        }
        if (C("确认删除这些评论?") == false)
        {
            return;
        }
        if (ids != "" && ids.lastIndexOf(",") == ids.length -1 ){
            ids = ids.substring(0,ids.length - 1)
        }
        
        ids = ids.split(",");
//        alert(ids);
        var ret = CommentList.DelComments(ids).value;
 
        if (ret == true)
        {
            M1("Success!");            
            refreshPage(0);  
        }
        else{
            M1("Faild!");            
        }        
    }
    function reviewComment(id,authent){
         if (id == "") {
            M1("无参数传递!");
            return;
        }
        var ret = CommentList.AuthentComment(id,authent).value;
      
        if (ret == true)
        {
            M1("Success!");
            refreshPage(0);  
        }
    } 
    
    </script>
</html>
